package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Ftd;
import com.brilliance.isc.vo.funds.FtdWithPtsCbbResponseVo;
import com.brilliance.isc.vo.funds.FttselQueryVo;
import org.apache.ibatis.annotations.Mapper;
import com.brilliance.isc.bo.Ftd;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface FtdMapper {

    int insert(Ftd record);

    int insertSelective(Ftd record);

    int updateByPrimaryKeySelective(Ftd record);

    int updateByPrimaryKey(Ftd record);

    int deleteByPrimaryKey(Ftd record);

    int deleteByIds(Collection<Object> collection);

    Ftd selectByPrimaryKey(Ftd record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Ftd> dyncRead(Map<String,Object> dyncMap);

    List<FtdWithPtsCbbResponseVo> queryFtd(FttselQueryVo fttselQueryVo);

    List<FtdWithPtsCbbResponseVo> queryFtdInfo(FttselQueryVo fttselQueryVo);

    Ftd selectByInr(@Param("inr") String inr);

    Ftd selectByOwnref(String ownref);
    
}